GET /blueprintactions/unsaved/{guid}

Retrieve unsaved draft version of a specific blueprint action

Retrieve unsaved draft version of a specific blueprint action
KeyTypeExampleDescription
guidrequiredstring
"example"
Blueprint action GUID
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "modified": 1782166695,
    "updated": 1782166695
  },
  "blueprint_guid": "c45797061f2c15a75361042244385e96419d230ab804d7fa08cd52981fd78192",
  "custom_header_text": "Welcome back",
  "custom_out_pins": [
    {}
  ],
  "default_value": "enabled",
  "event": "/api/users",
  "fields": [
    "example"
  ],
  "in_pins": [
    {}
  ],
  "is_created": true,
  "is_public": true,
  "modified_user": "joe doe"
}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
blueprintactions_viewRequired scope: blueprintactions_view

Back to Blueprint Actions Return to the Blueprint Actions category to view other endpoints All API Categories Browse all available API categories